[selinux-policy: 779/3172] interlace monolithic and modular to catch errors in modular w/o going through all monolithic tests f

Daniel J Walsh dwalsh at fedoraproject.org
Thu Oct 7 20:12:23 UTC 2010


commit 959fca6669751ca5dadfe0a5e8c9693820739919
Author: Chris PeBenito <cpebenito at tresys.com>
Date:   Sat Oct 22 03:15:40 2005 +0000

    interlace monolithic and modular to catch errors in modular w/o going through all monolithic tests first

 tools/buildtest.sh |   33 ++++++++++-----------------------
 1 files changed, 10 insertions(+), 23 deletions(-)
---
diff --git a/tools/buildtest.sh b/tools/buildtest.sh
index 8705403..1a2e648 100755
--- a/tools/buildtest.sh
+++ b/tools/buildtest.sh
@@ -1,58 +1,45 @@
 #!/bin/bash
 
-DISTROS="redhat gentoo debian suse"
+#DISTROS="redhat gentoo debian suse"
+DISTROS="redhat"
 TYPES="strict strict-mls strict-mcs targeted targeted-mls targeted-mcs"
 POLVER="`checkpolicy -V |cut -f 1 -d ' '`"
 SETFILES="/usr/sbin/setfiles"
 SE_LINK="/usr/bin/semodule_link"
 
-do_monolithic_test() {
+do_test() {
 	local OPTS=""
 
 	for i in $TYPES; do
+		# Monolithic tests
 		OPTS="TYPE=$i QUIET=@ DIRECT_INITRC=y"
 		[ ! -z "$1" ] && OPTS="$OPTS DISTRO=$1"
-		make $OPTS bare || exit 1
 		echo "**** Options: $OPTS ****"
 		make $OPTS conf || exit 1
 		make $OPTS || exit 1
 		make $OPTS file_contexts || exit 1
 		$SETFILES -q -c policy.$POLVER file_contexts || exit 1
 		make $OPTS bare || exit 1
-	done
-}
 
-do_modular_test() {
-	local OPTS=""
-
-	for i in $TYPES; do
+		# Loadable module tests
 		OPTS="TYPE=$i MONOLITHIC=n QUIET=@ DIRECT_INITRC=y"
 		[ ! -z "$1" ] && OPTS="$OPTS DISTRO=$1"
-		make $OPTS bare || exit 1
 		echo "**** Options: $OPTS ****"
 		make $OPTS conf || exit 1
-		make $OPTS || exit 1
-		make $OPTS base modules || exit 1
+		make $OPTS all || exit 1
 		mv base.pp tmp
 		$SE_LINK tmp/base.pp *.pp || exit 1
 		make $OPTS bare || exit 1
 	done
 }
 
-# Monolithic tests
-
-do_monolithic_test
-
-for i in $DISTROS; do
-	do_monolithic_test $i
-done
-
-# Loadable module tests
+make bare || exit 1
+make MONOLITHIC=n bare || exit 1
 
-do_modular_test
+do_test
 
 for i in $DISTROS; do
-	do_modular_test $i
+	do_test $i
 done
 
 echo "Completed successfully."


More information about the scm-commits mailing list